git.lirion.de

Of git, get, and gud

summaryrefslogtreecommitdiffstats
path: root/nagios-plugins-contrib-24.20190301~bpo9+1/check_varnish/varnish-nagios/autogen.sh
diff options
context:
space:
mode:
authorHarald Pfeiffer <coding _ lirion.de> 2019-04-17 19:07:19 +0200
committerHarald Pfeiffer <coding _ lirion.de> 2019-04-17 19:07:19 +0200
commit1e2387474a449452b78520b9ad96a8b4b5e99722 (patch)
tree836889471eec7d2aac177405068e2a8f1e2b1978 /nagios-plugins-contrib-24.20190301~bpo9+1/check_varnish/varnish-nagios/autogen.sh
downloadnagios-plugins-contrib-1e2387474a449452b78520b9ad96a8b4b5e99722.tar.bz2
initial commit of source fetch
Diffstat (limited to 'nagios-plugins-contrib-24.20190301~bpo9+1/check_varnish/varnish-nagios/autogen.sh')
-rwxr-xr-xnagios-plugins-contrib-24.20190301~bpo9+1/check_varnish/varnish-nagios/autogen.sh46
1 files changed, 46 insertions, 0 deletions
diff --git a/nagios-plugins-contrib-24.20190301~bpo9+1/check_varnish/varnish-nagios/autogen.sh b/nagios-plugins-contrib-24.20190301~bpo9+1/check_varnish/varnish-nagios/autogen.sh
new file mode 100755
index 0000000..457a7d0
--- /dev/null
+++ b/nagios-plugins-contrib-24.20190301~bpo9+1/check_varnish/varnish-nagios/autogen.sh
@@ -0,0 +1,46 @@
+#!/bin/sh
+#
+# $Id$
+#
+
+warn() {
+ echo "WARNING: $@" 1>&2
+}
+
+case `uname -s` in
+Darwin)
+ LIBTOOLIZE=glibtoolize
+ ;;
+FreeBSD)
+ LIBTOOLIZE=libtoolize
+ if [ -d /usr/local/gnu-autotools/bin ] ; then
+ PATH=/usr/local/gnu-autotools/bin:${PATH}
+ export PATH
+ FIX_BROKEN_FREEBSD_PORTS="-I /usr/local/share/aclocal"
+ fi
+ ;;
+Linux)
+ LIBTOOLIZE=libtoolize
+ ;;
+esac
+
+automake_version=$(automake --version | tr ' ' '\n' | egrep '^[0-9]\.[0-9a-z.-]+')
+if [ -z "$automake_version" ] ; then
+ warn "unable to determine automake version"
+else
+ case $automake_version in
+ 0.*|1.[0-8]|1.[0-8][.-]*)
+ warn "automake ($automake_version) detected; 1.9 or newer recommended"
+ ;;
+ *)
+ ;;
+ esac
+fi
+
+set -ex
+
+aclocal ${FIX_BROKEN_FREEBSD_PORTS}
+$LIBTOOLIZE --copy --force
+autoheader
+automake --add-missing --copy --foreign
+autoconf